Subject: Re: [PATCH] net: error on unsupported IP setsockopts in IPv6

From: Jakub Kicinski <[email-masked]>
Date: Fri, 10 Jun 2022 22:16:56 -0700

On Thu, 9 Jun 2022 17:26:10 +0200 Richard Gobert wrote:
> The IP_TTL and IP_TOS sockopts are unsupported for IPv6 sockets,
> this bug was reported previously to the kernel bugzilla [1].
> Make the IP_TTL and IP_TOS sockopts return an error for AF_INET6 sockets.
> 
> [1] https://bugzilla.kernel.org/show_bug.cgi?id=212585

This is a little risky because applications may set both v4 and v6
options and expect the correct one to "stick". Obviously it's not 
the way we would have written this code today, but is there any harm?
Also why just those two options?